clvm startup script requires cman

Bug #1089013 reported by Maxxer on 2012-12-11
34
This bug affects 4 people
Affects Status Importance Assigned to Milestone
lvm2 (Ubuntu)
Medium
Billy Olsen
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Billy Olsen

Bug Description

while clvm in precise can support corosync, init script won't start because issues a cman status command

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: clvm 2.02.66-4ubuntu7.1
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
ApportVersion: 2.0.1-0ubuntu5
Architecture: amd64
Date: Tue Dec 11 18:09:36 2012
InstallationMedia: Ubuntu-Server 12.04 LTS "Precise Pangolin" - Release amd64 (20120424.1)
ProcEnviron:
 TERM=screen
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
SourcePackage: lvm2
UpgradeStatus: No upgrade log present (probably fresh install)
modified.conffile..etc.default.clvm: [modified]
mtime.conffile..etc.default.clvm: 2012-12-11T16:45:40.149014

[Impact]

 * clvm daemon cannot start using provided init scripts

[Test Case]

 * Install clvm package
 * Configure corosync
 * service clvm start
   - Fails to start due to cman dependency

[Regression Potential]

 * None, already broken, though there is risk of other bugs being uncovered since this hasn't worked in quite awhile.

[Other Info]

 * This is a change to the debian provided init script for clvm. Upstream
   debian still has the redhat-cluster package which contains the cman
   tool, as such this change is applicable to Ubuntu only since the
   redhat clustering suite is not available.

Maxxer (lorenzo-milesi) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lvm2 (Ubuntu):
status: New → Confirmed
tags: added: sts
Changed in lvm2 (Ubuntu):
assignee: nobody → Billy Olsen (billy-olsen)
status: Confirmed → In Progress
Billy Olsen (billy-olsen) wrote :

It appears that the cman tooling isn't available in Trusty even, so this means the clvm is really broken. On >= Trusty this can be fixed by checking the corosync status (corosync-quorumtool -s) to ensure that the clustering (corosync) services are up.

description: updated
description: updated
Changed in lvm2 (Ubuntu Trusty):
importance: Undecided → Medium
Changed in lvm2 (Ubuntu Wily):
importance: Undecided → Medium
Changed in lvm2 (Ubuntu Xenial):
importance: Undecided → Medium
Changed in lvm2 (Ubuntu Trusty):
status: New → Triaged
Changed in lvm2 (Ubuntu Wily):
status: New → Triaged
Brian Murray (brian-murray) wrote :

Regarding your xenial debdiff the correct syntax is (LP: #1089013) to close a Launchpad bug the Closes syntax is for Debian bug reports. Additionally, the openais / dlm change is undocumented. What is that for?

Changed in lvm2 (Ubuntu Xenial):
status: In Progress → Incomplete
Billy Olsen (billy-olsen) wrote :

Ah thanks Brian for the corrections. Here's an updated patch with the changelog indicating the change to the openais / dlm change. Hopefully its clear. In trusty the cman and openais packages were removed. Instead to setup clustered LVM one can use the distributed lock manager and corosync to manage distributed locking for the LVM vgs.

Here's an updated debdiff for xenial, I'll rework and repost the wily and trusty debdiffs as well. FTR, I didn't include a patch for vivid as it EOLs at the end of next week.

Changed in lvm2 (Ubuntu Xenial):
status: Incomplete → Confirmed
Billy Olsen (billy-olsen) wrote :
Billy Olsen (billy-olsen) wrote :
Louis Bouchard (louis) wrote :

Hello,

I have sponsored your Xenial fix,; Brian's suggested modification were included.

Changed in lvm2 (Ubuntu Precise):
importance: Undecided → Medium
status: New → Triaged
Changed in lvm2 (Ubuntu Xenial):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lvm2 - 2.02.133-1ubuntu4

---------------
lvm2 (2.02.133-1ubuntu4) xenial; urgency=medium

  * Remove the init script dependency on cman_tool. (LP: #1089013)
    - debian/clvm.init: check corosync cluster status since the cman
      tooling isn't available in Xenial. Change start/stop dependencies
      to dlm instead of cman and openais since neither cman nor openais
      are available.

 -- Billy Olsen <email address hidden> Thu, 28 Jan 2016 11:38:39 +0100

Changed in lvm2 (Ubuntu Xenial):
status: In Progress → Fix Released
Marc Deslauriers (mdeslaur) wrote :

ACK on the debdiffs in comment #9 and #10. I've uploaded them for processing by the SRU team, but I've added the missing start/stop dependencies change to the trusty one first.

Thanks!

Changed in lvm2 (Ubuntu Trusty):
status: Triaged → In Progress
Changed in lvm2 (Ubuntu Wily):
status: Triaged → In Progress

Hello Maxxer, or anyone else affected,

Accepted lvm2 into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/lvm2/2.02.122-1ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in lvm2 (Ubuntu Wily):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Maxxer, or anyone else affected,

Accepted lvm2 into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/lvm2/2.02.98-6ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in lvm2 (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: sts-sru
Martin Pitt (pitti) wrote :

The wily update was not verified in three months, and wily is almost EOL. So I removed the -proposed package.

Changed in lvm2 (Ubuntu Wily):
status: Fix Committed → Won't Fix
Billy Olsen (billy-olsen) wrote :

The check for corosync running doesn't work properly and prevents the clvm service from properly starting.

tags: added: verification-failed
removed: verification-needed
Louis Bouchard (louis) on 2016-11-09
tags: removed: sts-sru

The version of lvm2 in the proposed pocket of Trusty that was purported to fix this bug report has been removed because the bugs that were to be fixed by the upload were not verified in a timely (105 days) fashion.

Changed in lvm2 (Ubuntu Trusty):
status: Fix Committed → Won't Fix
Dan Streetman (ddstreet) on 2019-06-04
tags: removed: sts
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers